ERF(3)

NAME
erf, erff, erfl, - error function

SYNOPSIS
#include <math.h>
double erf(double x);
float erff(float x);
long double erfl(long double x);
Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

erf():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99
erff(), erfl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The erf() function returns the error function of x, defined as

erf(x) = 2/sqrt(pi)* integral from 0 to x of exp(-t*t) dt

RETURN VALUE
On success, these functions return the error function of x, a value in the range [-1, 1]. If x is a NaN, a NaN is returned. If x is +0 (-0), +0 (-0) is returned. If x is positive infinity (negative infinity), +1 (-1) is returned. If x is subnormal, a range error occurs, and the return value is 2*x/sqrt(pi).

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Range error: result underflow (x is subnormal)
    An underflow floating-point exception (FE_UNDERFLOW) is raised.

These functions do not set errno.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD.

SEE ALSO
cerf(3), erfc(3), exp(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.